export declare const getBorderClassNames: <T>(size: T) => string | undefined;
export declare const getBorderVars: <T>(size: T) => Record<string, string> | undefined;
interface GetClassNamesParams<T> {
    readonly defaultClass?: string;
    readonly prefix: string;
    readonly size: T;
    readonly styles: Record<string, string>;
}
export declare function getClassNames<T>({ defaultClass, prefix, size, styles, }: GetClassNamesParams<T>): string | undefined;
interface GetVarsParams<T> {
    readonly size: T;
    readonly tokenPrefix: string;
    readonly varPrefix: string;
}
export declare function getVars<T>({ size, tokenPrefix, varPrefix }: GetVarsParams<T>): Record<string, string> | undefined;
export {};
